{
    "$graph": [
        {
            "label": "Run tRNAScan, gather",
            "class": "CommandLineTool",
            "hints": [
                {
                    "dockerPull": "ncbi/gpdev:latest",
                    "class": "DockerRequirement"
                }
            ],
            "baseCommand": "gpx_qdump",
            "arguments": [
                "-unzip",
                "*"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-input-path"
                    },
                    "id": "#gpx_qdump.cwl/input_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "intermediate.asn",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qdump.cwl/output_name"
                }
            ],
            "id": "#gpx_qdump.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#gpx_qdump.cwl/intermediate"
                }
            ]
        },
        {
            "label": "Run tRNAScan, scatter",
            "class": "CommandLineTool",
            "hints": [
                {
                    "dockerPull": "ncbi/gpdev:latest",
                    "class": "DockerRequirement"
                }
            ],
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "gpx_qsubmit",
            "arguments": [
                "-overlap",
                "100",
                "-subseq-size",
                "200"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#gpx_qsubmit_trnascan.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "jobs.xml",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qsubmit_trnascan.cwl/output"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-ids"
                    },
                    "id": "#gpx_qsubmit_trnascan.cwl/seqids"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output)"
                    },
                    "id": "#gpx_qsubmit_trnascan.cwl/jobs"
                }
            ],
            "id": "#gpx_qsubmit_trnascan.cwl"
        },
        {
            "label": "Run tRNAScan, transform",
            "class": "CommandLineTool",
            "hints": [
                {
                    "dockerPull": "ncbi/gpdev:latest",
                    "class": "DockerRequirement"
                }
            ],
            "baseCommand": "trnascan_dump",
            "arguments": [
                "-X",
                "20"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#trnascan_dump.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "trnascan.asn",
                    "inputBinding": {
                        "prefix": "-oasn"
                    },
                    "id": "#trnascan_dump.cwl/oasn"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "struct.tar.gz",
                    "inputBinding": {
                        "prefix": "-ostruc"
                    },
                    "id": "#trnascan_dump.cwl/ostruct"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.oasn)"
                    },
                    "id": "#trnascan_dump.cwl/outasn"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.ostruct)"
                    },
                    "id": "#trnascan_dump.cwl/outstruct"
                }
            ],
            "id": "#trnascan_dump.cwl"
        },
        {
            "label": "Run tRNAScan, execution",
            "class": "CommandLineTool",
            "hints": [
                {
                    "dockerPull": "ncbi/gpdev:latest",
                    "class": "DockerRequirement"
                }
            ],
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "trnascan_wnode",
            "arguments": [
                "-X",
                "20",
                "-B",
                "-C",
                "-Q",
                "-b",
                "-q"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#trnascan_wnode.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "/panfs/pan1.be-md.ncbi.nlm.nih.gov/gpipe/ThirdParty/tRNAscan-SE/1.21-patched-4/arch/x86_64/bin/tRNAscan-SE",
                    "inputBinding": {
                        "prefix": "-tRNAscan"
                    },
                    "id": "#trnascan_wnode.cwl/binary"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "/panfs/pan1.be-md.ncbi.nlm.nih.gov/gpipe/ThirdParty/tRNAscan-SE/1.21-patched-4/lib/tRNAscan-SE/gcode.othmito",
                    "inputBinding": {
                        "prefix": "-g"
                    },
                    "id": "#trnascan_wnode.cwl/gcode_othmito"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input-jobs"
                    },
                    "id": "#trnascan_wnode.cwl/input_jobs"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output",
                    "inputBinding": {
                        "prefix": "-O"
                    },
                    "id": "#trnascan_wnode.cwl/output_dir"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "prefix": "-taxid"
                    },
                    "id": "#trnascan_wnode.cwl/taxid"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-taxon-db"
                    },
                    "id": "#trnascan_wnode.cwl/taxon_db"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.output_dir)"
                    },
                    "id": "#trnascan_wnode.cwl/outdir"
                }
            ],
            "id": "#trnascan_wnode.cwl"
        },
        {
            "label": "Run tRNAScan",
            "class": "Workflow",
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#main/asn_cache"
                },
                {
                    "type": "File",
                    "id": "#main/seqids"
                },
                {
                    "type": "int",
                    "id": "#main/taxid"
                },
                {
                    "type": "File",
                    "id": "#main/taxon_db"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/Run_tRNAScan_trnascan_dump/outasn",
                    "id": "#main/annots"
                }
            ],
            "steps": [
                {
                    "run": "#gpx_qdump.cwl",
                    "in": [
                        {
                            "source": "#main/Run_tRNAScan_wnode/outdir",
                            "id": "#main/Run_tRNAScan_dump/input_path"
                        }
                    ],
                    "out": [
                        "#main/Run_tRNAScan_dump/intermediate"
                    ],
                    "id": "#main/Run_tRNAScan_dump"
                },
                {
                    "run": "#gpx_qsubmit_trnascan.cwl",
                    "in": [
                        {
                            "source": "#main/asn_cache",
                            "id": "#main/Run_tRNAScan_submit/asn_cache"
                        },
                        {
                            "source": "#main/seqids",
                            "id": "#main/Run_tRNAScan_submit/seqids"
                        }
                    ],
                    "out": [
                        "#main/Run_tRNAScan_submit/jobs"
                    ],
                    "id": "#main/Run_tRNAScan_submit"
                },
                {
                    "run": "#trnascan_dump.cwl",
                    "in": [
                        {
                            "source": "#main/Run_tRNAScan_dump/intermediate",
                            "id": "#main/Run_tRNAScan_trnascan_dump/input"
                        }
                    ],
                    "out": [
                        "#main/Run_tRNAScan_trnascan_dump/outasn",
                        "#main/Run_tRNAScan_trnascan_dump/outstruct"
                    ],
                    "id": "#main/Run_tRNAScan_trnascan_dump"
                },
                {
                    "run": "#trnascan_wnode.cwl",
                    "in": [
                        {
                            "source": "#main/asn_cache",
                            "id": "#main/Run_tRNAScan_wnode/asn_cache"
                        },
                        {
                            "source": "#main/Run_tRNAScan_submit/jobs",
                            "id": "#main/Run_tRNAScan_wnode/input_jobs"
                        },
                        {
                            "source": "#main/taxid",
                            "id": "#main/Run_tRNAScan_wnode/taxid"
                        },
                        {
                            "source": "#main/taxon_db",
                            "id": "#main/Run_tRNAScan_wnode/taxon_db"
                        }
                    ],
                    "out": [
                        "#main/Run_tRNAScan_wnode/outdir"
                    ],
                    "id": "#main/Run_tRNAScan_wnode"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
